Subject: bug#43847: ERC - prevent yanking multiple lines into IRC (feature request) *patch*

From: Kévin Le Gouguec <[email-masked]>
Date: Fri, 09 Oct 2020 09:52:53 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Corwin Brust <[email-masked]> writes:
>
>> I hate it when I accidentally paste multi-line text into ERC.  I
>> *never* actually intend to do this.
>
> I sometimes want to, and sometimes I don't want to.  I think it would be
> pretty surprising for users if we rebind `C-y' in this way.

Seconded.  I think a whitespace-fixing yank command could be useful in
more situations than just ERC; OTOH I'd much rather keep C-y as a
"reliably dumb" yank in all contexts, at least by default.